/* 
    Tenchi Applegate
    10/25/2022
    Lab section 2
    CPSC1011
    Lab 9A
    Gathers width input from the user to create a ppm file with structs 
    using rgb values to create the Ireland flag using arrays and imbedded for loops.
    Using source files and a header file to separate code.
*/

#include "defs.h"

void writePixels(pixels_t pixel_array[], int width, int height) {
    int k;

    for (k = 0; k < (width*height); k++) {
        fprintf(stdout, "%i %i %i\n", pixel_array[k].r, pixel_array[k].g, pixel_array[k].b);
    }
}